starreviews 1.0.5 icon indicating copy to clipboard operation
starreviews: ^1.0.5 copied to clipboard

A flutter package for displaying detailed star reviews

6
likes
70/ 130
pub points
13%
popularity

We analyzed this package 5 days ago, and awarded it 70 pub points (of a possible 130):

icon indicating section status
Follow Dart file conventions
10 / 20icon to trigger folding of the section

0/10 points: Provide a valid pubspec.yaml

The package description is too short.

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

icon indicating section status
Provide documentation
10 / 20icon to trigger folding of the section

10/10 points: Package has an example

0/10 points: 20% or more of the public API has dartdoc comments

  • 5 out of 73 API elements (6.8 %) have documentation comments.

Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API. Document at least 20% of the public API elements.

icon indicating section status
Platform support
20 / 20icon to trigger folding of the section

20/20 points: Supports 6 of 6 possible platforms (iOS, Android, Web, Windows, MacOS, Linux)

  • ✓ Android
  • ✓ iOS
  • ✓ Windows
  • ✓ Linux
  • ✓ MacOS
  • ✓ Web
icon indicating section status
Pass static analysis
20 / 30icon to trigger folding of the section

20/30 points: code has no errors, warnings, lints, or formatting issues

Found 6 issues. Showing the first 2:

INFO: Unused import: 'dart:math'.

lib/starreviews.dart:3:8

  ╷
3 │ import 'dart:math';
  │        ^^^^^^^^^^^
  ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/starreviews.dart

INFO: The for, if, and spread elements weren't supported until version 2.3.0, but this code is required to be able to run on earlier versions.

lib/starreviews.dart:243:11

    ╷
243 │ ┌           if (!this.showOnlyAverage) ...[
244 │ │             Expanded(
245 │ │               child: StarReviews(
246 │ │                 total: this.total,
247 │ │                 spaceBetween: this.spaceBetweenBars,
248 │ │                 lineHeight: this.lineHeight,
249 │ │                 starNames: this.starNames,
250 │ │                 starSize: this.starSize,
251 │ │                 starColor: this.starColor,
252 │ │                 showRatingNumber: this.showRatingNumber,
253 │ │                 showHeader: false,
254 │ │                 showBottom: true,
255 │ │                 showPercentage: this.showPercentage,
    │ └──────────────────────────^
    ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/starreviews.dart

icon indicating section status
Support up-to-date dependencies
10 / 20icon to trigger folding of the section

0/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
flutterflutter0.0.00.0.0
percent_indicator^2.1.12.1.9+14.2.2
Transitive dependencies
PackageConstraintCompatibleLatest
characters-1.2.01.2.1
collection-1.16.01.16.0
material_color_utilities-0.1.40.2.0
meta-1.7.01.8.0
sky_engine-0.0.990.0.99
vector_math-2.1.22.1.2

To reproduce run dart pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

The constraint `^2.1.1` on percent_indicator does not support the stable version `3.0.1`.

Try running dart pub upgrade --major-versions percent_indicator to update the constraint.

10/10 points: Package supports latest stable Dart and Flutter SDKs

icon indicating section status
Support sound null safety
0 / 20icon to trigger folding of the section

0/20 points: Package does not opt in to null safety.

Package language version (indicated by the sdk constraint `>=2.1.0 <3.0.0`) is less than 2.12.

Consider migrating.

Analysed with Pana 0.21.15, Flutter 3.0.5, Dart 2.17.6.

6
likes
70
pub points
13%
popularity

Publisher

unverified uploader

A flutter package for displaying detailed star reviews

Homepage

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

flutter, percent_indicator

More

Packages that depend on starreviews